dimensions-methods {sp} | R Documentation

## retrieve spatial dimensions from spatial data

### Description

retrieves spatial dimensions box from spatial data

### Usage

    	dimensions(obj)

### Arguments

`obj` | object deriving from class "Spatial"

### Value

two-column matrix; the first column has the minimum, the second the maximum values; rows represent the spatial dimensions

### Methods

obj = "Spatial"

  object deriviving from class "Spatial"

### Examples

    # just 9 points on a grid:
    x <- c(1,1,1,2,2,2,3,3,3)
    y <- c(1,2,3,1,2,3,1,2,3)
    xy <- cbind(x,y)
    S <- SpatialPoints(xy)
    dimensions(S)

    # data.frame
    data(meuse.grid)
    coordinates(meuse.grid) <- ~x+y
    gridded(meuse.grid) <- TRUE
    dimensions(meuse.grid)

[Package sp version 1.2-3 Index]